package Entity 
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Graphiclist;
	import net.flashpunk.graphics.Image;
	/**
	 * ...
	 * @author lightsoda
	 */
	public class ECorpse extends BaseEntity
	{
		
		[Embed(source = "../../assets/gfx/blood.png")] private static const gfxBlood:Class;
		[Embed(source = "../../assets/gfx/body.png")] private static const gfxBody:Class;
		[Embed(source = "../../assets/gfx/head.png")] private static const gfxHead:Class;
		[Embed(source = "../../assets/gfx/foot.png")] private static const gfxFoot:Class;
		[Embed(source = "../../assets/gfx/hand.png")] private static const gfxHand:Class;
		
		public function ECorpse(x:Number, y:Number) 
		{
			super(x + 10, y + 10);
			
			var blood:Image = new Image(gfxBlood);
			var body:Image = new Image(gfxBody);
			var head:Image = new Image(gfxHead);
			var foot:Image = new Image(gfxFoot);
			var hand:Image = new Image(gfxHand);

			blood.angle = FP.rand(360);
			body.angle = FP.rand(360);
			head.angle = FP.rand(360);
			foot.angle = FP.rand(360);
			hand.angle = FP.rand(360);
			
			graphic = new Graphiclist(blood, body, head, foot, hand);
			
			this.layer = 15;
		}
		
	}

}