package  
{
	import net.flashpunk.Sfx;
	/**
	 * ...
	 * @author lightsoda
	 */
	public class P 
	{
		[Embed(source = "../assets/music/intro.mp3")] private const MusicIntro:Class;
		[Embed(source = "../assets/music/main.mp3")] private const MusicMain:Class;
		[Embed(source = "../assets/music/end.mp3")] private const MusicEnd:Class;
		
		protected var m_sfxMusicMain:Sfx;
		protected var m_sfxMusicIntro:Sfx;
		protected var m_sfxMusicEnd:Sfx;
		
		public var volume:Number = 1;

		public var Murders:Number = 0;
		public var Positive:Number = 0;
		public var Negative:Number = 0;
		public var Suicide:Boolean = false;
		
		public function P() 
		{
			m_sfxMusicIntro = new Sfx(MusicIntro);
			m_sfxMusicMain = new Sfx(MusicMain);
			m_sfxMusicEnd = new Sfx(MusicEnd);
			
			m_sfxMusicEnd.loop(volume);
			m_sfxMusicIntro.loop(volume);
			m_sfxMusicMain.loop(volume);
			
			m_sfxMusicEnd.stop();
			m_sfxMusicIntro.stop();
			m_sfxMusicMain.stop();

			Murders = 0;
			Positive = 0;
			Negative = 0;
		}
		
		public function PlayMusic(song:String):void
		{
			switch(song)
			{
				case "intro":
					if(!m_sfxMusicIntro.playing) m_sfxMusicIntro.resume();
					m_sfxMusicMain.stop();
					m_sfxMusicEnd.stop();
					break;
				case "main":
					m_sfxMusicIntro.stop();
					if(!m_sfxMusicMain.playing) m_sfxMusicMain.resume();
					m_sfxMusicEnd.stop();
					break;
				case "end":
					m_sfxMusicIntro.stop();
					m_sfxMusicMain.stop();
					if(!m_sfxMusicEnd.playing) m_sfxMusicEnd.resume();
					break;
			}
		}
		
	}

}