package Entity 
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Text;
	import Worlds.GameWorld;
	/**
	 * ...
	 * @author lightsoda
	 */
	public class ETempDialog extends BaseEntity
	{
		private var timeout:Number = 3;
		private var index = 0;
		
		public function ETempDialog(x:Number, y:Number, message:String) 
		{
			super(x, y);
			
			var t:Text = new Text(message);
			t.color = C.COLOR_TEXT_POPUP;

			graphic = t;
		}

		override public function added():void 
		{
			index = GameWorld(world).m_iMessages;
			GameWorld(world).m_iMessages++;
			super.added();
		}
		
		override public function update():void 
		{
			if (timeout > 0)
			{
				timeout -= 1 * FP.elapsed;
			}
			else
			{
				world.remove(this);
				GameWorld(world).m_iMessages--;
			}
			
			x = world.camera.x + 200;
			y = world.camera.y + (20 * index);
			
			super.update();
		}
		
	}

}